Display point attribute ( Z coordinate )
Comments
-
Hello,
Please try KitoxLG application http://www.bricsys.com/common/applications/application.jsp?app=384
To display elevation value (altitude) you will only need to do next two steps:
1)convert simple points to LGpoints using inax:pt-convert command
2)display elevation labels using inax:pt-showdata command
Note, if survey points were imported using inax:pt-import , first step is not required.
Regards, Vaidas0 -
Thank you Vaidas,I was more looking for a free way, but your app works great !Any other option someone ?Xavier0
-
it's a fast code for you!
create you a block and change the "attbributblock.dwg" for your block.
[code](defun c:idaddZ (/ oindex oselection oselection2 oposition otexte oBlock oZpoint)
(setq oBlock "attbributblock.dwg") ; create a block with one attribut
(setq oindex 0)
(prompt "\n<-- Select all points -->")
(setq oselection (ssget))
(repeat (sslength oselection)
(setq oselection2 (ssname oselection oindex))
(cond
((= (cdr (assoc 0 (entget oselection2))) "POINT")
(setq oposition (cdr(assoc 10 (entget oselection2))))
(setq oZpoint (last oposition))
(setq oselection2 t)
)
) ; end cond
(if oselection2
(progn
(command "-INSERT" oBlock
"s"
(getvar "dimscale")
"r"
45
oposition
(rtos oZpoint 2 3)
)
)
) ; end if
(setq oindex (+ 1 oindex))
)
(princ)
)[/code]0 -
Thank you Mathieu,I tried your code but couldn't have it to work.I'm not a CAD specialist... and never used code...Could you give me just a little bit more details ?Should I create the block in my points file or in another file ?Am I supposed to change attributblock.dwg by the whole path to my file ?I would really appreciate some more help !ThanksXavier0
-
Hi, Load this appliction and see if it does the job
Dan
0 -
Woops : ) I use this one for V13
0 -
Hi,
what is the way to use this application?0 -
Hi,
It's just an overrule to display the Z coords next to points. When it's loaded points will have the z label, when it unloaded, the label disappears. I had this as a sample, thought it might be helpful
I'm a bit crunched for time, but if it is useful, I can add a command to toggle the text, and make the text honor the text style etc.
Capture.PNG0 -
Thank you Daniel,I get a message saying "can not LOAD file" in the command line when I try to load it using the Tools / Load Application menu.Am I doing something wrong ?I have V12 proNo way to save these texts in a layer right ?ThanksXavier0
-
@Xavier,
You probably need to unblock the file before you can load successfully.
@Daniel,
really neat enhancement to points, nice one!. Would be great to have that additional control to control text height, style, precision.
Don't happen to have one that allows you to display fields embedded into linestyles??
Regards,Jason Bourhill
DrxOverrule-Unblock.png0 -
Hi Xavier,
Here is one tool for a commercial product GeoTools which does exactly what you need.
http://www.4d-technologies.com/geotools/manual/annotation_tools.htm#IDXYZ
This is just for your info, if you want to know more about it.
Otherwise, the free routine that Daniel posted should just do the trick.
Best Regards
Rakesh Rao
www.coordsys.com0 -
@Xavier,
You probably need to unblock the file before you can load successfully.
@Daniel,
really neat enhancement to points, nice one!. Would be great to have that additional control to control text height, style, precision.
Don't happen to have one that allows you to display fields embedded into linestyles??
Regards,Jason Bourhill
Try this (is a basic code, but...):
[code]; ZCOORD.LSP
; 'Put text with coord z'
;
;
(defun rzcoord ()
(setq coordx (cadr (assoc 10 (entget (ssname ss1 0)))))
(setq coordy (caddr (assoc 10 (entget (ssname ss1 0)))))
(setq coordz (cadddr (assoc 10 (entget (ssname ss1 0)))))
(setq ptc (list (+ 0.1 coordx) (+ 0.1 coordy) 0))
(command "text" Ptc (atof "0.20") (atof "0") (rtos coordz 2 3))
(ssdel sn ss1)
)
(DEFUN C:ZCOORD (/ ss1 sn ent et coordx coordy coordz ptc)
(setq cmdecho (getvar "cmdecho"))
(setvar "cmdecho" 0)
(prompt "\nSelect Point's: ")
(setq ss1 (ssget))
(while (> (sslength ss1) 0)
(setq sn (ssname ss1 0))
(setq ent (entget sn))
(setq et (cdr (assoc '0 ent)))
(cond
((= et "POINT") (rzcoord))
((or
(/= et "POINT")
)
(ssdel sn ss1)
)
)
)
(setvar "cmdecho" cmdecho)
(princ)
)
[/code]0 -
My intention was "quote" Xavier Bonnet, sorry0
-
Hi all,
Here is a new version. the command is pointz to toggle the overrule. You will then be asked to select an entity to create a layer filter I.e. Only points on this layer will be overruled. The text will honor the textsize system variable (after a regen). one of these days I may add precision @ text styles
@Xavier the routine is compiled for V13... sorry about that.
@Jason. I've never tried to overrule line styles, i'm sure its possible though : )
Dan
0 -
And if you need something quite opposite, you can use command TZP from QuickeningPro V13: it sets Z coordinate value of a selected point according to value from selected TEXT entity. Useful when you have flattened surveyor's drawing, and want it in 3D.Regards,Ranko0